.side-nav {
  max-width: 100vw;
  max-height: calc(100vh);
  display: grid;
  overflow: hidden;
  grid-template-columns: auto 1fr;
  // grid-template-rows: auto 1fr;
  grid-template-areas:  "side content"
                        "side content"
                        "footer footer";

  .content {
    grid-area: content;
    overflow: auto;
    height: 100vh;
    max-height: calc(100vh);
    background: linear-gradient(170deg,  var(--purple) 0%, var(--dark-gray) 50%);
  }

  .main {
    grid-area: main;
    min-height: 100%;
    padding: 2rem;
  }

  .footer {
    display: none;
    grid-area: footer;
  }

  &.d-footer {
    max-height: calc(100vh - 85px);
    .footer {
      display: block;
    }
    .content {
      max-height: calc(100vh - 85px);
    }
  }

  @media screen and (max-width: 600px) {
    // grid-template-columns: 1fr;
  }
}
